Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 2700473003: Support the removal of only session cookies or persistent cookies (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months ago by lfg
Modified:
6 months ago
Reviewers:
lazyboy
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Support the removal of only session cookies or persistent cookies through the <webview> cleardata API. BUG=687082 Review-Url: https://codereview.chromium.org/2700473003 Cr-Commit-Position: refs/heads/master@{#451119} Committed: https://chromium.googlesource.com/chromium/src/+/66cdb5cf76f67ac76c426998dece842e7b739209

Patch Set 1 #

Total comments: 31

Patch Set 2 : addressing comments #

Patch Set 3 : adding comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+403 lines, -8 lines) Patch
M chrome/browser/apps/guest_view/web_view_browsertest.cc View 1 chunk +17 lines, -3 lines 0 comments Download
M chrome/common/extensions/api/webview_tag.json View 1 chunk +2 lines, -0 lines 0 comments Download
A chrome/test/data/extensions/platform_apps/web_view/common/cleardata_persistent/bootstrap.js View 1 1 chunk +69 lines, -0 lines 0 comments Download
A chrome/test/data/extensions/platform_apps/web_view/common/cleardata_persistent/guest.html View 1 1 chunk +95 lines, -0 lines 0 comments Download
A chrome/test/data/extensions/platform_apps/web_view/common/cleardata_session/bootstrap.js View 1 1 chunk +69 lines, -0 lines 0 comments Download
A chrome/test/data/extensions/platform_apps/web_view/common/cleardata_session/guest.html View 1 1 chunk +95 lines, -0 lines 0 comments Download
M extensions/browser/api/guest_view/web_view/web_view_internal_api.cc View 2 chunks +6 lines, -0 lines 0 comments Download
M extensions/browser/guest_view/web_view/web_view_constants.h View 1 chunk +2 lines, -0 lines 0 comments Download
M extensions/browser/guest_view/web_view/web_view_constants.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M extensions/browser/guest_view/web_view/web_view_guest.cc View 1 2 3 chunks +35 lines, -4 lines 0 comments Download
M extensions/common/api/web_view_internal.json View 1 1 chunk +11 lines, -1 line 0 comments Download
Trybot results:  linux_chromium_asan_rel_ng   android_n5x_swarming_rel   chromium_presubmit   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   cast_shell_android   android_clang_dbg_recipe   mac_chromium_rel_ng   android_compile_dbg   android_n5x_swarming_rel   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_chromeos_rel_ng   mac_chromium_compile_dbg_ng   win_chromium_rel_ng   linux_chromium_rel_ng   cast_shell_linux   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_tsan_rel_ng   win_clang   chromium_presubmit   linux_android_rel_ng   android_arm64_dbg_recipe   chromeos_daisy_chromium_compile_only_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   cast_shell_android   ios-device-xcode-clang   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_rel_ng   android_clang_dbg_recipe   cast_shell_linux   chromium_presubmit   win_chromium_x64_rel_ng   android_compile_dbg   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   win_chromium_compile_dbg_ng   win_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   mac_chromium_rel_ng   ios-device   linux_chromium_asan_rel_ng   win_clang   ios-simulator   android_arm64_dbg_recipe   linux_android_rel_ng   android_n5x_swarming_rel   android_cronet   chromeos_amd64-generic_chromium_compile_only_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 27 (18 generated)
lfg
Hey Istiaque, can you take a look?
6 months ago (2017-02-15 19:39:20 UTC) #4
lazyboy
https://codereview.chromium.org/2700473003/diff/1/chrome/test/data/extensions/platform_apps/web_view/common/cleardata_persistent/bootstrap.js File chrome/test/data/extensions/platform_apps/web_view/common/cleardata_persistent/bootstrap.js (right): https://codereview.chromium.org/2700473003/diff/1/chrome/test/data/extensions/platform_apps/web_view/common/cleardata_persistent/bootstrap.js#newcode1 chrome/test/data/extensions/platform_apps/web_view/common/cleardata_persistent/bootstrap.js:1: // Copyright 2013 The Chromium Authors. All rights reserved. ...
6 months ago (2017-02-15 21:45:27 UTC) #7
lfg
https://codereview.chromium.org/2700473003/diff/1/chrome/test/data/extensions/platform_apps/web_view/common/cleardata_persistent/bootstrap.js File chrome/test/data/extensions/platform_apps/web_view/common/cleardata_persistent/bootstrap.js (right): https://codereview.chromium.org/2700473003/diff/1/chrome/test/data/extensions/platform_apps/web_view/common/cleardata_persistent/bootstrap.js#newcode1 chrome/test/data/extensions/platform_apps/web_view/common/cleardata_persistent/bootstrap.js:1: // Copyright 2013 The Chromium Authors. All rights reserved. ...
6 months ago (2017-02-15 22:44:01 UTC) #10
lazyboy
lgtm https://codereview.chromium.org/2700473003/diff/1/extensions/browser/guest_view/web_view/web_view_guest.cc File extensions/browser/guest_view/web_view/web_view_guest.cc (right): https://codereview.chromium.org/2700473003/diff/1/extensions/browser/guest_view/web_view/web_view_guest.cc#newcode436 extensions/browser/guest_view/web_view/web_view_guest.cc:436: if ((removal_mask & webview::WEB_VIEW_REMOVE_DATA_MASK_COOKIES) || On 2017/02/15 22:44:00, ...
6 months ago (2017-02-16 02:15:34 UTC) #13
lfg
https://codereview.chromium.org/2700473003/diff/1/extensions/browser/guest_view/web_view/web_view_guest.cc File extensions/browser/guest_view/web_view/web_view_guest.cc (right): https://codereview.chromium.org/2700473003/diff/1/extensions/browser/guest_view/web_view/web_view_guest.cc#newcode441 extensions/browser/guest_view/web_view/web_view_guest.cc:441: [](const net::CanonicalCookie& cookie) -> bool { return true; }); ...
6 months ago (2017-02-16 17:44:25 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2700473003/40001
6 months ago (2017-02-16 17:45:43 UTC) #17
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/120640) cast_shell_linux on master.tryserver.chromium.linux (JOB_FAILED, ...
6 months ago (2017-02-16 17:55:27 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2700473003/40001
6 months ago (2017-02-16 19:03:33 UTC) #24
commit-bot: I haz the power
6 months ago (2017-02-16 22:26:58 UTC) #27
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/66cdb5cf76f67ac76c426998dece...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b